Bug 150688 - CAN-2005-0667 sylpheed buffer overflow
Summary: CAN-2005-0667 sylpheed buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sylpheed (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard: impact=moderate,public=20050307,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-09 18:16 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.0.3-0.FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 14:57:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2005-03-09 18:16:09 UTC
+++ This bug was initially created as a clone of Bug #150687 +++

Buffer overflow in Sylpheed before 1.0.3 and other versions before 1.9.5 allows
remote attackers to execute arbitrary code via an e-mail message with certain
headers containing non-ASCII characters that are not properly handled when the
user replies to the message.

The upstream patch is here:
http://sylpheed.good-day.net/sylpheed/v1.0/sylpheed-1.0.2-1.0.3.patch.gz

Comment 1 Akira TAGOH 2005-03-15 13:02:34 UTC
Fixed in 1.0.3-0.FC3

Comment 2 Josh Bressers 2005-03-15 16:18:47 UTC
Akira,

I forgot to mention that we also ship sylpheed in FC2 and it should also be
vulnerable.

Comment 3 Akira TAGOH 2005-03-17 14:57:38 UTC
Also fixed in 1.0.3-0.FC2. thanks.


Note You need to log in before you can comment on or make changes to this bug.